/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: isinf.c,v 1.1.1.1 1993/04/18 16:18:21 mura Exp $
 */

/* System headers */
#include <math.h>
#include <sys/xmath.h>

/* Functions */
int __const isinf (double value)
{
    xdouble_t *val = (xdouble_t *) &value;

    /* wS 1 ŁALS 0 ȂΖ INF */
    return ((val->l[0] << 1) == (0x7ff00000 << 1) && val->l[1] == 0);
}
