/*
 * PROJECT C Library, X68000 PROGRAMMING INTERFACE DEFINITION
 * --------------------------------------------------------------------
 * This file is written by the Project C Library Group,  and completely
 * in public domain. You can freely use, copy, modify, and redistribute
 * the whole contents, without this notice.
 * --------------------------------------------------------------------
 * $Id: isnan.c,v 1.1.1.1 1993/04/18 16:18:23 mura Exp $
 */

/* System headers */
#include <math.h>
#include <sys/xmath.h>

/* Functions */
int __const isnan (double value)
{
    xdouble_t *val = (xdouble_t *) &value;

    /* wS 1 ŁAL 0 ȊOȂΔ NaN */
    return ((val->w[0] & 0x7ff0) == 0x7ff0 && (val->l[0] & 0x000fffff)
					   && (val->l[1] != 0));
}
